DCMTK: DiRegisterBase Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
DiRegisterBase Class Referenceabstract

Abstract base class to register additional libraries. More...

Inheritance diagram for DiRegisterBase:

## Public Member Functions
| DiRegisterBase ()
| constructor, default
virtual | ~DiRegisterBase ()
| destructor
virtual DiImage * | createImage (const DiDocument *docu, const EI_Status status, const EP_Interpretation photo)=0
| create color image representation (abstract)
virtual DiMonoPixel * | createMonoImageData (const DiColorImage *image, const double red, const double green, const double blue)=0
| create monochrome pixel data of color image (abstract)

## Static Public Attributes
static DiRegisterBase * | Pointer
| global pointer to registered 'dcmimage' library

## Detailed Description

Abstract base class to register additional libraries.

## Member Function Documentation

## ◆ createImage()

virtual DiImage * DiRegisterBase::createImage | ( | const DiDocument * | docu,
|  | const EI_Status | status,
|  | const EP_Interpretation | photo )
| pure virtual

create color image representation (abstract)

Parameters

  docu | pointer to dataset (encapsulated)
  status | image status
  photo | photometric interpretation

Returns
  pointer to new DiImage object (NULL if an error occurred)

Implemented in DiRegister.

## ◆ createMonoImageData()

virtual DiMonoPixel * DiRegisterBase::createMonoImageData | ( | const DiColorImage * | image,
|  | const double | red,
|  | const double | green,
|  | const double | blue )
| pure virtual

create monochrome pixel data of color image (abstract)

Parameters

  image | pointer to color image
  red | coefficient by which the red component is weighted
  green | coefficient by which the green component is weighted
  blue | coefficient by which the blue component is weighted

Returns
  pointer to new DiImage object (NULL if an error occurred)

Implemented in DiRegister.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diregbas.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2